package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrMotorMapper;
import com.ruoyi.project.pssr.domain.TPssrMotor;
import com.ruoyi.project.pssr.service.ITPssrMotorService;

/**
 * 电机设备Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrMotorServiceImpl implements ITPssrMotorService
{
    @Autowired
    private TPssrMotorMapper tPssrMotorMapper;

    /**
     * 查询电机设备
     *
     * @param id 电机设备ID
     * @return 电机设备
     */
    @Override
    public TPssrMotor selectTPssrMotorById(Long id)
    {
        return tPssrMotorMapper.selectTPssrMotorById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrMotorMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询电机设备列表
     *
     * @param tPssrMotor 电机设备
     * @return 电机设备
     */
    @Override
    public List<TPssrMotor> selectTPssrMotorList(TPssrMotor tPssrMotor)
    {
        return tPssrMotorMapper.selectTPssrMotorList(tPssrMotor);
    }

    /**
     * 新增电机设备
     *
     * @param tPssrMotor 电机设备
     * @return 结果
     */
    @Override
    public int insertTPssrMotor(TPssrMotor tPssrMotor)
    {
        return tPssrMotorMapper.insertTPssrMotor(tPssrMotor);
    }

    /**
     * 修改电机设备
     *
     * @param tPssrMotor 电机设备
     * @return 结果
     */
    @Override
    public int updateTPssrMotor(TPssrMotor tPssrMotor)
    {
        return tPssrMotorMapper.updateTPssrMotor(tPssrMotor);
    }

    /**
     * 批量删除电机设备
     *
     * @param ids 需要删除的电机设备ID
     * @return 结果
     */
    @Override
    public int deleteTPssrMotorByIds(Long[] ids)
    {
        return tPssrMotorMapper.deleteTPssrMotorByIds(ids);
    }

    /**
     * 删除电机设备信息
     *
     * @param id 电机设备ID
     * @return 结果
     */
    @Override
    public int deleteTPssrMotorById(Long id)
    {
        return tPssrMotorMapper.deleteTPssrMotorById(id);
    }
}
